/*
mb button
mi standard
ms stack icon
my year
ml layer
mp preview
mt team
mu user
*/
.dropdown-menu{
    -webkit-box-shadow: 25px 36px 40px 0px rgba(0,0,0,0.75);
    -moz-box-shadow: 25px 36px 40px 0px rgba(0,0,0,0.75);
    box-shadow: 25px 36px 40px 0px rgba(0,0,0,0.75);
    border: 1px solid #5a5a5a;
}
.dropdown-menu > a:hover {
    background-color: #0e6b6b;
    color: white;
    background-image: none;
}
.dropdown-menu > li > a:hover {
    background-color: #0e6b6b;
    color: white;
    background-image: none;
}
.dropdown-menu > div > a:hover {
    background-color: #0e6b6b;
    color: white;
    background-image: none;
}
.dropdown-menu > div > div:hover {
    background-color: #0e6b6b;
    color: white;
    background-image: none;
}
.dropdown-menu .dd-item:hover {
    background-color: #0e6b6b;
    color: white;
    background-image: none;
}
.eye:hover {
    background-color: #0e6b6b;
    color: white;
}
.dropdown-menu-center {
    right: auto;
    left: 50%;
    -webkit-transform: translate(-50%, 0);
    -o-transform: translate(-50%, 0);
    transform: translate(-50%, 0);
}

.toggledon {
    background-color: #296f6f!important;
    background-image: linear-gradient(0deg, var(--vk),transparent)!important;    
    color: white!important;
}




.dd-menu {
    line-height: 1.5;
    background-color: #343a40;
    padding: 0.25em;
    color: rgb(255 255 255 / 55%);
}
.dd-menu-w12 {
    min-width: 12em;
}
.dd-menu-w14 {
    min-width: 14em;
}
.dd-menu-w16 {
    min-width: 16em;
}
.dd-menu-h70 {
    max-height: calc(var(--vh-container) * 70);
    overflow: auto;
}
.dd-menu-h80 {
    max-height: calc(var(--vh-container) * 80);
    overflow: auto;
}
.dd-menu-h90 {
    max-height: calc(var(--vh-container) * 90);
    overflow: auto;
}
.dd-menu-h95 {
    max-height: calc(var(--vh-container) * 95);
    overflow: auto;
}
.dd-menu-h100 {
    max-height: calc(var(--vh-container) * 100);
    overflow: auto;
}


.mb-button, .mi-item, .my-item, .mt-item, .mu-item {
    display: flex;
    padding: 0.5em;
    color: #ffffff80;
    cursor: pointer;
    outline: 1px solid #5a5a5a;
    outline-offset: -1px;
    text-decoration: none;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out;
}
.mb-button {
    background-color: #4c4c4c;
    background-image: linear-gradient(0deg, #404040,transparent);
    transition: background 1s ease-in, transform .5s ease-out;
}
.mb-button:active {
    transform: scale(.9);
    background-color: #296f6f !important;
    background-image: linear-gradient(0deg, var(--vk), transparent) !important;
    color: white !important;
    transition: all .15s ease-out;
}

.mi-item {
    background-color: #4c4c4c;
    background-image: linear-gradient(0deg, #404040,transparent);
    margin-bottom: .25em;
}
.m-item-disabled, .mi-item-disabled {
    pointer-events: none;    
    opacity: 0.5;
    filter: grayscale(100%);
}
.mp-item, .ml-item {
    display: flex;
    color: #ffffff80;
    cursor: pointer;
    margin-bottom: .25em;
    text-decoration: none;
}
.my-item {
    /*padding: .25em;*/
    line-height: 1;
    background-color: #4c4c4c;
    background-image: linear-gradient(0deg, #404040,transparent);
    margin-bottom: .25em;
}
.mt-item {
    padding: .4em;
    line-height: 1;
    background-color: #4c4c4c;
    background-image: linear-gradient(0deg, #404040,transparent);
    margin-bottom: .25em;
}
.mu-item {
    background-color: #4c4c4c;
    background-image: linear-gradient(0deg, #404040,transparent);
    margin-bottom: .25em;
    padding: .25em;
}


.mi-name, .mb-name, .mt-name, .mu-name {
    display: block;
    align-self: center;
    margin-left: .5em;
    line-height: 1;
}
.my-name {
    display: block;
    align-self: start;
    margin-left: .5em;
    line-height: 1;
}
.mb-short {
    display: none;
    text-align: center;
}
.mp-name, .ml-name {
    flex: 1 1 auto;
    margin-left: .25em;
    padding: .5em .25em;
    background-color: #4c4c4c;
    background-image: linear-gradient(0deg, #404040,transparent);
    outline: 1px solid #5a5a5a;
    outline-offset: -1px;

    display: flex;    
    align-items: center;
    line-height: 1;
}


.my-year {
    color: var(--text-vkc);
}


.mb-icon {
    text-align: center;
}
.mi-icon {
    width: 2em;
    text-align: center;
    align-self: center;
}
.mi-icon>img {
    width: 2em;
}
.mi-icon>*, .mb-icon>*, .my-icon>* {    
    filter: drop-shadow(5px 5px 4px #0000009e);
}
.mb-icon.active, .mi-icon.active {
    filter: brightness(1.3);
    /*filter: saturate(1.8);*/
}
.mp-icon, .ml-icon {
    padding: .25em;
    background-color: #4c4c4c;
    background-image: linear-gradient(0deg, #404040,transparent);
    outline: 1px solid #5a5a5a;
    outline-offset: -1px;
    text-align: center;
    align-self: center;
}
.mp-icon>img {
    width: 2em;
}
.ml-icon>img {
    width: 4.5em;
}
.my-icon {
    display: flex;
    /*background-color: white;*/
    margin-right: 0.25em;
    /*align-self: center;*/
}
.my-icon>img {
    padding: 2px;
    height: 1.875em;
    background-color: white;
}
.mt-icon {
    width: 0.9em;
    text-align: right;
    align-self: center;
}
.mu-icon {
    text-align: center;
}
.mu-icon>img {
    width: 1.875em;
}

.ms-icon {
    display: inline-block;
    position: relative;
    vertical-align: middle;
    height: 2em;
    line-height: 2em;
}
.ms-icon2 {
    position: absolute;
    left: 0;
    width: 100%;
    line-height: inherit;
}
.ms-icon2-tr { /*top right*/
    left: .5em;
    top: -.5em;
}
.ms-icon2-br { /*bottom right*/
    left: .5em;
    top: .5em;
}



@media (max-width: 768px) {
    .mb-button {
        flex-direction: column;
    }
    .mu-item {
        padding: .1em;
    }
    .mb-name {
        display: none;
    }
    .mb-short {
        display: block;
    }
    .my-item {
        padding: .25em;
    }
    .my-icon>img {
        padding: 0;
        height: 1.25em;
    }
}

@media (max-width: 576px) {
    .my-item {
        padding: .2em;
    }
    /*
    .my-icon, .mu-icon {
        display: none;
    }
    */
}


.icon-div {
    width: 2em;
    text-align: center;
    line-height: 2;
    /*vertical-align: middle;*/
    font-weight: 600;
    border-radius: 50%;
    /*margin: 0 .25em;*/
    color: #e1e1e1;
}
.icon-div-both {
    background-color: #a0a0a0;
}
.icon-div-both::before {
    content: "-";
}
.icon-div-af {
    background-color: var(--category-af-bg);
}
.icon-div-af::before {
    content: "AF";
}
.icon-div-tsd {
    background-color: var(--category-tsd-bg);
}
.icon-div-tsd::before {
    content: "TsD";
}

.mi-icon .fa-caret-down, .mi-icon .fa-caret-up {
    font-size: 1.6em;
}


#subNavBar .dd-menu {
    max-height: calc(var(--vh-container) * 95);
    overflow: auto;
}

/* workaround Bootsrap 5.3.0 */
.dropdown-menu {
    font-size: 1em!important;
}
